Subject: Re: bug#76381: todo-test-add-and-delete-file fails on Ubuntu 24.10

From: Stephen Berman <[email-masked]>
Date: Thu, 27 Feb 2025 12:15:38 +0100

On Wed, 26 Feb 2025 12:59:17 -0800 Paul Eggert <[email-masked]> wrote:

> On 2/26/25 01:43, Stephen Berman wrote:
>> Is there a portable way to identify filesystems?
>
> The identification method doesn't have to be that portable. You can run the
> command "stat -fc %T ." on GNUish systems. On systems where 'stat' fails,
> assume the worst.
>
> It might be better to test for filesystems where the test is known to work,
> and assume it's flaky everywhere else. In particular, NFS file systems may
> well fail if the server uses zfs.

My daily system uses ext4 so that's the only filesystem I can readily
test for.  But I doubt it's the only one where this test does not fail.
So I decided to tag the test as unstable (in commit 4cc5e4ec0bc on
master) so it won't be run with `make check'.  I'd like to leave this
bug open in case someone finds out why the test fails under ZFS or
possibly for other reasons.

Steve Berman